/* Last modified: August 19, 2015

*--------------------*
*    INPUT FILES     *
*--------------------*

Packages needed: none
Do-files called: none

Files needed: 

mw_state_daily.dta - Minimum wage values by state by date, 1975-2012

*/

*--------------------*
* Set these:

global datadir "/home/jeremy/data/jhr/data_code" // Location of data and code
global savedir "/home/jeremy/data/jhr/tex" // Location of figures and tables folders

*--------------------*

clear all
set more off
cd "$datadir"

*--------------------------*
*  FREQUENCY OF INCREASES  *
*--------------------------*

* Frequency of increases to effective state real minimum wages

clear all
set more off
use mw_state_daily , clear

drop if statefips == 0 // Federal/National
xtset statefips date
sort statefips date
gen mwchange = mw > l.mw
replace mwchange = 0 if statefips != statefips[_n-1]

tab year mwchange
collapse (sum) mwchange , by(year)
drop if year == 1975


*collapse (sum) mwchange (count) year
*display mwchange/year

#delimit ;
graph twoway bar mwchange year , xlabel(1980(10)2010) xtitle(" ")
ytitle("Number of minimum wage increases" , margin(r+2.0) ) barwidth(0.85)
bcolor(gs12) graphregion(color(white)) title(" ")
;
#delimit cr

graph export "$savedir/figures/Fig2-minimum-wage-frequency.png" , width(2000) replace
window manage close graph
